
package de.ivu.elect.business.person.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.person.entity.PersonendatenDateiExport;
import de.ivu.elect.business.person.boundary.PersonendatenDateiExportDAO;
import de.ivu.elect.business.person.boundary.PersonendatenDateiExportCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractPersonendatenDateiExportCreate {

  @Inject
  protected PersonendatenDateiExportDAO dao;

    @Inject
    transient Event<PersonendatenDateiExportCreateEvent> createEvent;



  


public void save(PersonendatenDateiExport entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(PersonendatenDateiExport entity) {
        createEvent.fire(new PersonendatenDateiExportCreateEvent(entity));
  }

}
